<div class="signin-bg animated fadeIn">
  <div class="text-center">
    <h4>{{ 'labelSignIn' | translate:lang }}</h4>
    <span class="signin-txt">{{ 'labelDontHaveAccount' | translate:lang }}
      <a (click)="moveToSignup()">{{ 'labelSignupNow' | translate:lang }}</a>
    </span>
  </div>
  <div class="container">
    <div class="row mt-3 mb-3">
      <div class="col-md-6">
        <form [formGroup]="signInForm" (ngSubmit)="onSubmit()">
            <div class="signin-respons">
          <mat-form-field appearance="outline">
            <mat-label>{{'EMAIL_OR_PHONE' | translate: lang}}</mat-label>
            <input matInput autocomplete="off" type="text" formControlName="userName" [placeholder]="'EMAIL_OR_PHONE' | translate:lang" name="Email"
            (keyup)="checkEmailOrPhone($event.target.value)" required/>
            <span class="contry-code" matPrefix *ngIf="isPhone">{{countryCode}} &nbsp;</span>
            <mat-hint *ngIf="(signInForm.controls['userName'].invalid && (signInForm.controls['userName'].dirty || signInForm.controls['userName'].touched))">
              <mat-error *ngIf="signInForm.controls['userName'].errors.required">
                  {{'errorRequired' | translate: lang}}
              </mat-error>
              <mat-error *ngIf="signInForm.controls['userName'].errors.pattern && !signInForm.controls['userName'].errors.required">
                {{ 'INVALID_EMAIL_OR_PHONE' | translate:lang }}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
              <mat-label>{{ 'labelPassword' | translate:lang }}</mat-label>
            <input matInput [placeholder]="'labelPassword' | translate:lang" type="password" formControlName="password" name="password"
              required/>
            <mat-hint *ngIf="(signInForm.controls['password'].invalid && (signInForm.controls['password'].dirty || signInForm.controls['password'].touched))">
              <mat-error *ngIf="signInForm.controls['password'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
          <div>
            <div class="col-md-12" [title]="'labelForgotPassword' | translate:lang">
              <p class="text-right forgot-txt">
                <a routerLink="/forgot-password">{{ 'labelForgotPassword' | translate:lang }}</a>
              </p>
            </div>
          </div>
          <button mat-raised-button [disabled]="!signInForm.valid" color="primary" class="mb-2">{{ 'buttonSignIn' | translate:lang }}</button>
        </div>
        </form>
      </div>
      <div class="col-md-6 content-aligner divider-cont">
        <div class="divider">
          <span class="divider-txt">{{ 'labelOr' | translate:lang }}</span>
        </div>
        <div class="signin-right">
          <div>
            <button (click)="socialSignIn('facebook')" mat-raised-button class="btn-facebook">
              <span class="fa-icon">
                <i class="fab fa-facebook-f"></i>
              </span>{{ 'buttonSignInFacebook' | translate:lang }}
            </button>
          </div>
          <!-- <div>
            <button (click)="socialSignIn('google')" mat-raised-button class="btn-google mt-4">
              <span class="fa-icon">
                <i class="fa fa-google-plus" aria-hidden="true"></i>
              </span>
              <span class="text-google">{{ 'buttonSignInGoogle' | translate:lang }}</span>
            </button>
          </div> -->
        </div>
      </div>
    </div>
  </div>
</div>
